	program headline
	character*80 tmp,fin,fout
	character filename*7,imtype*8,observer*16,object*16,exp*6
	character utdate*10,uttime*10,cent_lam*6,grat*15
	write(6,10)
10	format(1x,'Enter a file (input) : ',$)
	read(5,1) fin
	write(6,20)
20	format(1x,'Enter database logfile  : ',$)
	read(5,1) fout

1	format(a)

	open(1,file=fin,status='old')
	open(2,file=fout,status='unknown')
	
	do i=1,200000
	 read(1,1,end=80) tmp
	 filename(1:7)=tmp(1:7)
	 imtype(1:5)=tmp(10:14)
	 imtype(6:8)='   '
	 if(imtype(1:5) .eq. 'objec') imtype(1:6)='object'
	 observer(2:16)=tmp(15:29)
         observer(1:1)=' '

	 object(1:12)=tmp(30:41)
	 utdate(3:10)=tmp(42:49)
	 utdate(1:2)='  '
	 uttime(3:10)=tmp(55:62)
	 uttime(1:2)='  '
	 cent_lam(1:6)=tmp(73:78)
	

	 write(2,60) filename(1:7),imtype,observer,object,utdate,
     1	   uttime,cent_lam
	 write(6,60) filename(1:7),imtype,observer,object,utdate,
     1	   uttime,cent_lam
60 	 format(a7,2x,a7,a16,1x,a15,2x,a10,a10,a6)
	enddo
80	close(1)
	close(2)
	stop
	end
